package com.lz.modules.flow.dao;
/**
* <p>
* 审批权限表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-18
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.modules.flow.entity.AuthDto;
import com.lz.modules.flow.entity.RecordAuth;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface RecordAuthMapper extends BaseMapper<RecordAuth> {


	RecordAuth selectRecordAuthById(@Param("id")Long id);


	Long insertRecordAuth(RecordAuth recordAuth);


	int updateRecordAuthById(RecordAuth recordAuth);


	int updateCoverRecordAuthById(RecordAuth recordAuth);


	int deleteRecordAuthById(@Param("id")Long id);


	List<RecordAuth> selectAuthInfo(@Param("roleId") Long roleId);

	List<RecordAuth> selectAll();

    List<AuthDto> selectAuthByRoleIds(@Param("roleIds") List<Long> roleIds);

    List<AuthDto> selectAuthByIds(@Param("authIds") List<Long> authIds);
}